using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.DataStructure
{
    /// <summary>
    /// 设备数据基类
    /// </summary>
    [DataContract]
    public class DeviceData
    {
        /// <summary>
        /// 设备号
        /// </summary>
        [DataMember(Order = 0)]
        public string Code { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [DataMember(Order = 1)]
        public DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        public string Info { get; set; }
    }
     
}
